Package oracle.jdbc.replay

## Interface OracleConnectionPoolDataSource

All Superinterfaces:
  `javax.sql.CommonDataSource`, `javax.sql.ConnectionPoolDataSource`, `javax.sql.DataSource`, `OracleCommonDataSource`, `OracleConnectionPoolDataSource`, `OracleDataSource`, `OracleDataSource`, `java.sql.Wrapper`

All Known Subinterfaces:
  `OracleXADataSource`

All Known Implementing Classes:
  `OracleConnectionPoolDataSource`, `OracleConnectionPoolDataSource`, `OracleConnectionPoolDataSourceImpl`, `OracleXADataSource`, `OracleXADataSource`, `OracleXADataSourceImpl`

    public interface OracleConnectionPoolDataSource
    extends OracleDataSource, OracleConnectionPoolDataSource

A data source that supports transparent failover replay of JDBC operations.

### Field Summary

### Fields inherited from interface oracle.jdbc.replay.OracleDataSource

`CONNECTION_PROPERTIES, DATA_SOURCE_NAME, DATABASE_NAME, DESCRIPTION, EXPLICIT_CACHING_ENABLED, IMPLICIT_CACHING_ENABLED, MAX_STATEMENTS, NETWORK_PROTOCOL, PASSWORD, PORT_NUMBER, ROLE_NAME, SERVER_NAME, URL, USER`

### Method Summary

All Methods Instance Methods Abstract Methods
`javax.sql.PooledConnection` `getPooledConnection()` Attempts to establish a database connection.
`javax.sql.PooledConnection` `getPooledConnection​(java.lang.String user, java.lang.String passwd)` Attempts to establish a database connection.

### Methods inherited from interface javax.sql.CommonDataSource

`getParentLogger`

### Methods inherited from interface javax.sql.ConnectionPoolDataSource

`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

### Methods inherited from interface javax.sql.DataSource

`getConnection, getConnection, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

### Methods inherited from interface oracle.jdbc.datasource.OracleCommonDataSource

`createShardingKeyBuilder, getConnectionProperties, getConnectionProperty, getDatabaseName, getDataSourceName, getDescription, getNetworkProtocol, getPortNumber, getServerName, getURL, getUser, setConnectionProperties, setConnectionProperty, setDatabaseName, setDataSourceName, setDescription, setHostnameResolver, setNetworkProtocol, setPassword, setPortNumber, setServerName, setSingleShardTransactionSupport, setSSLContext, setTokenSupplier, setURL, setUser`

### Methods inherited from interface oracle.jdbc.datasource.OracleConnectionPoolDataSource

`createPooledConnectionBuilder`

### Methods inherited from interface oracle.jdbc.datasource.OracleDataSource

`createConnectionBuilder`

### Methods inherited from interface oracle.jdbc.replay.OracleDataSource

`clearReplayStatistics, getConnectionInitializationCallback, getExplicitCachingEnabled, getImplicitCachingEnabled, getMaxStatements, getReplayStatistics, getRoleName, registerConnectionInitializationCallback, setExplicitCachingEnabled, setImplicitCachingEnabled, setMaxStatements, setRoleName, unregisterConnectionInitializationCallback`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### getPooledConnection

    javax.sql.PooledConnection getPooledConnection()
                                            throws java.sql.SQLException

Attempts to establish a database connection.

Specified by:
  `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
Returns:
  A PooledConnection to the database
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getPooledConnection

    javax.sql.PooledConnection getPooledConnection​(java.lang.String user,
                                                   java.lang.String passwd)
                                            throws java.sql.SQLException

Attempts to establish a database connection.

Specified by:
  `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
Parameters:
  `user` - The database user on whose behalf the Connection is being made.
  `passwd` - The user's password
Returns:
  a PooledConnection to the database
Throws:
  `java.sql.SQLException` - if a database-access error occurs.